Summary: DWARF optimization and duplicate removal tool
Name: dwz
Version: 0.2
Release: 1%{?dist}
License: GPLv2+
Group: Development/Tools
# git archive --format=tar --remote=git://sourceware.org/git/dwz.git \
#   --prefix=%{name}-%{version}/ %{name}-%{version} \
#   | bzip2 -9 > %{name}-%{version}.tar.bz2
Source: %{name}-%{version}.tar.bz2

BuildRequires: elfutils-libelf-devel

%description
The dwz package contains a program that attempts to optimize DWARF
debugging information contained in ELF shared libraries and ELF executables
for size, by replacing DWARF information representation with equivalent
smaller representation where possible and by reducing the amount of
duplication using techniques from DWARF standard appendix E - creating
DW_TAG_partial_unit compilation units (CUs) for duplicated information
and using DW_TAG_imported_unit to import it into each CU that needs it.

%prep
%setup -q

%build
make CFLAGS='%{optflags}' prefix=%{_prefix} mandir=%{_mandir} bindir=%{_bindir}

%install
make DESTDIR=%{buildroot} prefix=%{_prefix} mandir=%{_mandir} bindir=%{_bindir} \
  install

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/dwz
%{_mandir}/man1/dwz.1*

%changelog
* Mon Jun 11 2012 Jakub Jelinek <jakub@redhat.com> 0.2-1
- new package
